Page MenuHomePhabricator

[llvm-cov] Support for v4 format in convert-for-testing
ClosedPublic

Authored by phosek on Apr 15 2021, 1:24 AM.

Details

Reviewers
vsk
Summary

v4 moves function records to a dedicated section so we need to write
and read it separately.

Diff Detail

Event Timeline

phosek created this revision.Apr 15 2021, 1:24 AM
phosek requested review of this revision.Apr 15 2021, 1:24 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 15 2021, 1:24 AM

I ran into this issue when trying to create a test for D100232.

Sorry, I'm not familiar with the format of coverage mapping.

vsk added a comment.Apr 22 2021, 11:25 AM

@phosek I apologize for the delay in reviewing this.

Thanks for doing this. I've done a few passes over the logic changes and think they look fine. I think the only thing that's missing is a .covmapping test blob to test the new v4 support.

@phosek I apologize for the delay in reviewing this.

Thanks for doing this. I've done a few passes over the logic changes and think they look fine. I think the only thing that's missing is a .covmapping test blob to test the new v4 support.

Thanks @vsk, I have a test that uses the v4 support in D100232 which should land immediately after this change, is that sufficient?

vsk accepted this revision.Apr 22 2021, 12:02 PM

Sgtm, thanks.

This revision is now accepted and ready to land.Apr 22 2021, 12:02 PM
phosek closed this revision.May 11 2021, 3:26 PM